module AutomationService
    class EmployerUpdate

        def initialize(employer_identifier, full_sync = false)
            @employer_identifier = employer_identifier
            @full_sync = full_sync
        end

        def call
            # employer = Employer.includes(:id_card_setup).find_by(employer_identifier: @employer_identifier)
            # card_setup = employer.id_card_setup
            UpdateEmployerJob.new.perform(employer_identifier: @employer_identifier, full_sync: @full_sync)
            # if employer.present?
            #     employer.save
            # else
            #     Member.find_by(pb_entity_key: vw_mb_member[:pb_entity_key]).destroy
            # end
        end
        
    end
end

# AutomationService::MemberUpdate('13', 337710)